import { Adapter } from './calendar-adapter';
import { CalendarEventInput } from '../calendar-modal/calendar-event/calendar-event-input';
import { DateService } from '../service/date.service';
import { CalendarEvent, D } from '../calendar-event-source/calendar-event';
import * as i0 from "@angular/core";
/**
 * @author vaibhav
 * calendar event adpater service is used to convert input data into CalendarEventInput
 */
export declare class CalendarEventInputAdapter<T extends CalendarEvent> implements Adapter<CalendarEventInput> {
    private _dateService;
    constructor(_dateService: DateService);
    /**
     * this function is adapt any input into CalenarEventInput
     * @param item accept any type of input
     * @returns CalenarEventInput
     */
    adapt(item: T): CalendarEventInput;
    /**
     * convert data into CalendarEventInput
     * @param data
     * @returns CalendarEventInput
     */
    createCalendarEventInput(data: T): CalendarEventInput;
    /**
     * convert date into milliseconds
     * @param d input date
     * @returns date into milliseconds
     */
    convertToMillis(d: D): number;
    /**
     * sort CalendarEventInput array
     * @param e array ofCalndarEventInput
     * @returns sorted array
     */
    sort(e: CalendarEventInput[]): CalendarEventInput[];
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarEventInputAdapter<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CalendarEventInputAdapter<any>>;
}
