import { AfterContentChecked, OnDestroy, OnInit } from '@angular/core';
import { CollectionViewer, DataSource } from '@angular/cdk/collections';
import { BehaviorSubject, Observable } from 'rxjs';
import { Store } from '@ngrx/store';
import { CalendarView } from './calendar-modal/calendar-view/calendar-view';
import { CalendarEventInput } from './calendar-modal/calendar-event/calendar-event-input';
import { CalendarViewPortService } from './service/calendar-view-port.service';
import { CalendarServiceConfig } from './service/calendar-config.service';
import { CalendarEventInputAdapter } from './adapter/calendar-event-adapter';
import { CalendarEvent } from './calendar-event-source/calendar-event';
import * as i0 from "@angular/core";
/**
 * define generic type for input data.
 */
export declare type CalendarEventDataSourceInput<T extends CalendarEvent> = readonly T[] | DataSource<T> | Observable<readonly T[]> | [] | undefined;
/**
 * @author vaibhav
 * Angular material component is entry coponent for this library.
 * It takes input as array, datasource and observable.
 */
export declare class AngularMaterialCalendarComponent<T extends CalendarEvent> implements OnInit, AfterContentChecked, OnDestroy, CollectionViewer {
    private store;
    private calendarViewPortService;
    private calendarConfigService;
    private calendarEventInputAdapter;
    private readonly _destroyed$;
    private _dataSource?;
    protected _data?: readonly T[];
    private _renderEventSubscription$?;
    _view$?: Observable<CalendarView>;
    _view?: CalendarView;
    _events$?: BehaviorSubject<CalendarEventInput[]>;
    constructor(store: Store<{
        _view: CalendarView;
    }>, calendarViewPortService: CalendarViewPortService, calendarConfigService: CalendarServiceConfig, calendarEventInputAdapter: CalendarEventInputAdapter<T>);
    ngAfterContentChecked(): void;
    readonly viewChange: BehaviorSubject<{
        start: number;
        end: number;
    }>;
    ngOnInit(): void;
    get dataSource(): CalendarEventDataSourceInput<T>;
    set dataSource(dataSource: CalendarEventDataSourceInput<T>);
    private _switchDataSource;
    private _observeRenderChanges;
    ngOnDestroy(): void;
    initialView(view: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularMaterialCalendarComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularMaterialCalendarComponent<any>, "upbytes-angular-material-calendar", never, { "dataSource": "dataSource"; }, {}, never, never>;
}
