import { OnInit, AfterViewInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { CalendarDate } from '../../calendar-modal/calendar-date/calendar-date';
import { CalendarHours } from '../../calendar-modal/calendar-hours/calendar-hours';
import { CalendarHoursService } from '../../service/calendar-hours.service';
import { CalendarEventInput } from '../../calendar-modal/calendar-event/calendar-event-input';
import { CalendarEventFull } from '../../calendar-modal/calendar-event/calendar-event-full';
import { CalendarEventService } from '../../service/calendar-event.service';
import { DateService } from '../../service/date.service';
import * as i0 from "@angular/core";
/**
 * @author vaibhav
 * calendar day view gird component will display grid view of selected date and time.
 *
 */
export declare class CalendarDayViewGridComponent implements OnInit, AfterViewInit {
    private store;
    private _calendarWeekService;
    private _calendarEventService;
    private _dateService;
    events$?: Observable<CalendarEventInput[]>;
    date$?: Observable<CalendarDate>;
    _currentDate?: CalendarDate;
    calendarHours?: CalendarHours[][];
    calendarEventsFull?: CalendarEventFull[];
    multipleDayEvents?: CalendarEventFull[];
    constructor(store: Store<{
        _date: CalendarDate;
    }>, _calendarWeekService: CalendarHoursService, _calendarEventService: CalendarEventService, _dateService: DateService);
    ngOnInit(): void;
    /**
     * component lifecycle hook will scroll view to current hour.
     */
    ngAfterViewInit(): void;
    getColspan(d: CalendarHours): number;
    trackByHour(index: number, el: CalendarHours): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarDayViewGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarDayViewGridComponent, "upbytes-angular-material-calendar-day-view-grid", never, { "events$": "events$"; }, {}, never, never>;
}
