import { ElementRef, OnInit } from '@angular/core';
import { MatDialogConfig, MatDialogRef } from '@angular/material/dialog';
import { CalendarEventFull } from '../../calendar-modal/calendar-event/calendar-event-full';
import { CalendarEventService } from '../../service/calendar-event.service';
import * as i0 from "@angular/core";
/**
 * @author vaibhav
 * calendar event dialog component is used to display event complete data.
 */
export declare class CalendarEventDialog implements OnInit {
    private _element;
    dialogRef: MatDialogRef<CalendarEventDialog>;
    event: {
        edata: CalendarEventFull;
    };
    position: {
        positionRelativeToElement: ElementRef;
    };
    private calendarEventService;
    positionRelativeToElement?: ElementRef;
    time?: string;
    constructor(_element: ElementRef<HTMLElement>, dialogRef: MatDialogRef<CalendarEventDialog>, event: {
        edata: CalendarEventFull;
    }, position: {
        positionRelativeToElement: ElementRef;
    }, calendarEventService: CalendarEventService);
    ngOnInit(): void;
    /**
     * use to set dialoge position according to event clicked.
     * @returns MatDialogConfig
     */
    setDialogPosition(): MatDialogConfig;
    /**
     * display dialoge backgrond accroding to event color
     */
    setDialogBackground(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarEventDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarEventDialog, "upbytes-angular-material-calendar-event-dialog", never, {}, {}, never, never>;
}
