import { ElementRef } from '@angular/core';
import { CalendarEventFull } from '../../calendar-modal/calendar-event/calendar-event-full';
import { CalendarEventInput } from '../../calendar-modal/calendar-event/calendar-event-input';
import { MonthViewService } from '../../calendar-month-view-module/service/calendar-month-view.service';
import { CalendarEventDialogeService } from '../../service/calendar-event-dialog.service';
import { CalendarEventService } from '../../service/calendar-event.service';
import * as i0 from "@angular/core";
/**
 * @author vaibhav
 * Calendar event view component is used to display events on month view grid
 */
export declare class CalendarEventViewComponent {
    private monthViewService;
    private calendarEventService;
    private calendarEventDialogService;
    eventViewRef?: ElementRef;
    events?: CalendarEventInput[];
    time?: string;
    constructor(monthViewService: MonthViewService, calendarEventService: CalendarEventService, calendarEventDialogService: CalendarEventDialogeService);
    /**
     * use to display title on mat-card subtitle
     * @param e CalendarEventFull
     * @returns combine start datetime and end datetime
     */
    getTitle(e: CalendarEventFull): string;
    /**
     * open mat-dialog to display event content
     * @param e CalendarEventFull
     */
    openEventDialog(e: CalendarEventFull): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarEventViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarEventViewComponent, "upbytes-angular-material-calendar-event-view", never, { "events": "events"; }, {}, never, never>;
}
