import { Observable } from 'rxjs';
import { Store } from '@ngrx/store';
import { CalendarDate } from '../../../calendar-modal/calendar-date/calendar-date';
import { DateService } from '../../../service/date.service';
import { CalendarViewPortService } from '../../../service/calendar-view-port.service';
import * as i0 from "@angular/core";
/**
 * @author vaibhav
 * The calendar header label component display month name and year.
 */
export declare class CalendarHeaderLabelComponent {
    private store;
    private calendarViewPortService;
    private _dateService;
    date$?: Observable<CalendarDate>;
    _currentDate?: CalendarDate;
    viewport?: string;
    constructor(store: Store, calendarViewPortService: CalendarViewPortService, _dateService: DateService);
    /**
     * @returns month long name
     */
    get month(): string;
    /**
     * @returns year long name
     */
    get year(): string;
    /**
     * @returns month and year label
     */
    get label(): string;
    /**
     * invoke when size of view port change
     * @returns boolean false in case of screen small
     */
    get size(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarHeaderLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarHeaderLabelComponent, "upbytes-angular-material-calendar-label", never, {}, {}, never, never>;
}
