import { Observable } from 'rxjs';
import { Store } from '@ngrx/store';
import { CalendarDate } from '../../../calendar-modal/calendar-date/calendar-date';
import { CalendarView } from '../../../calendar-modal/calendar-view/calendar-view';
import { CalendarViewPortService } from '../../../service/calendar-view-port.service';
import * as i0 from "@angular/core";
/**
 * @author vaibhav
 *
 * calendar navigator component display left side of calednar header.
 * Prev: this button will move current view of calendar to previous view according to view selected
 * Next: this button will move current view of calendar to next view according to view selected
 * Today: this button will move current view of calendar to
 * current date view according to view selected
 */
export declare class CalendarNavigatorComponent {
    private dstore;
    private vstore;
    private calendarViewPortService;
    date$?: Observable<CalendarDate>;
    _currentDate?: CalendarDate;
    _view$?: Observable<CalendarView>;
    _view?: CalendarView;
    viewport?: string;
    constructor(dstore: Store<{
        _date: CalendarDate;
    }>, vstore: Store<{
        _view: CalendarView;
    }>, calendarViewPortService: CalendarViewPortService);
    /**
     * This function will dispatch a increment action to store.
     */
    increment(): void;
    /**
     * This function will dispatch a decrement action to store.
     */
    decrement(): void;
    /**
     * This function will dispatch a reset action to store.
     */
    reset(): void;
    get size(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarNavigatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarNavigatorComponent, "upbytes-angular-material-calendar-navigator", never, {}, {}, never, never>;
}
