import { Observable } from 'rxjs';
import { Store } from '@ngrx/store';
import { CalendarView } from '../../../calendar-modal/calendar-view/calendar-view';
import { CalendarViewPortService } from '../../../service/calendar-view-port.service';
import * as i0 from "@angular/core";
/**
 * @author vaibhav
 * Calendar toggel component will be display right top corner of the calendar header. Toggle
 * button will switch view in between day/week/month.
 */
export declare class CalendarHeaderToggelComponent {
    private store;
    private calendarViewPortService;
    _view$?: Observable<CalendarView>;
    _view?: CalendarView;
    viewport?: string;
    constructor(store: Store<{
        _view: CalendarView;
    }>, calendarViewPortService: CalendarViewPortService);
    /**
     * use to dispatch month view in store
     */
    month(): void;
    /**
     * use to dispatch week view in store
     */
    week(): void;
    /**
     * use to dispatch day view in store
     */
    day(): void;
    get size(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarHeaderToggelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarHeaderToggelComponent, "upbytes-angular-material-calendar-toggel", never, {}, {}, never, never>;
}
