import { OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { MonthViewService } from '../service/calendar-month-view.service';
import { CalendarDate } from '../../calendar-modal/calendar-date/calendar-date';
import { CalendarMonthView } from '../calendar-month-view';
import { CalendarEventInput } from '../../calendar-modal/calendar-event/calendar-event-input';
import * as i0 from "@angular/core";
/**
 * @author vaibhav
 *
 * CalendarMonthViewGridComponent: this component will display grid view of month dates
 * Events: events will be merge with calendar dates and display by
 * using calendar view dates template.
 */
export declare class CalendarMonthViewGridComponent implements OnInit {
    private store;
    private _monthViewService;
    date$?: Observable<CalendarDate>;
    _currentDate?: CalendarDate;
    monthViewDates?: Map<CalendarMonthView, CalendarEventInput[]>;
    events$?: Observable<CalendarEventInput[]>;
    constructor(store: Store<{
        _date: CalendarDate;
    }>, _monthViewService: MonthViewService);
    /**
     * This function will combine date stream with event stream to intialize grid view.
     */
    ngOnInit(): void;
    /**
     * This function will return true if array have more than 2 events.
     * used to display event count
     * @param events calendar event input array as a parameter
     * @returns return boolean value is array has more than 2 events.
     */
    isCountVisible(events: CalendarEventInput[]): boolean;
    /**
     * This function is used with user click on date value.
     * it will switch month view to day view.
     * @param e will take current calendar state as a input.
     */
    switchView(e: CalendarMonthView): void;
    /**
     * This fucntion is use to dispatch date to store.
     * @param _currentDate take current date as a input paramater
     */
    goto(_currentDate: CalendarDate): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarMonthViewGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CalendarMonthViewGridComponent, "upbytes-angular-material-calendar-month-view-grid", never, { "events$": "events$"; }, {}, never, never>;
}
