import { CalendarEventFull } from '../calendar-modal/calendar-event/calendar-event-full';
import * as i0 from "@angular/core";
export declare class CalendarEventConflictService {
    constructor();
    /**
     * takes CalendarEventFull as a  input and return EventNode object
     * @param i CalendarEventFull
     * @returns EventNode
     */
    private eventNode;
    /**
     * insert event node into tree
     * @param root EventNode
     * @param i CalendarEventFull
     * @returns EventNode
     */
    private insertEventNode;
    /**
     * check if two events are conflicting
     * @param i1 CalendarEventFull
     * @param i2 CalendarEventFull
     * @returns boolean
     */
    private isConflict;
    /**
     * search conflicting events in tree. add new events into tree.
     * @param root EventNode
     * @param i CalendarEventFull
     * @param conflictingEvents
     * @returns CalendarEventFull
     */
    private conflictSearch;
    /**
     * call from other service with input data.
     * @param events CalendarEventFull[]
     * @param days number
     */
    conflicting(events: CalendarEventFull[], days: number): void;
    /**
     * update conflicting events left and width franction
     * @param conflicts CalendarEventFull[]
     * @param days number
     * @returns CalendarEventFull[]
     */
    conflictedEventFr(conflicts: CalendarEventFull[], days: number): CalendarEventFull[];
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarEventConflictService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CalendarEventConflictService>;
}
