import { ElementRef } from '@angular/core';
import { CalendarEventFull } from '../calendar-modal/calendar-event/calendar-event-full';
import { CalendarEventInput } from '../calendar-modal/calendar-event/calendar-event-input';
import { CalendarEventConflictService } from './calendar-event-conflict.service';
import { DateService } from './date.service';
import * as i0 from "@angular/core";
/**
 * @author vaibhav
 * calendar event servies is use to input style on event snippets.
 */
export declare class CalendarEventService {
    private _dateService;
    private _calendarEventConflictService;
    constructor(_dateService: DateService, _calendarEventConflictService: CalendarEventConflictService);
    setEventStyle(event: CalendarEventFull, _element: ElementRef<HTMLElement>, left: string, top: string, width: number, height: string): void;
    calc(exp: string): string;
    styleLeft(event: CalendarEventFull, _element: ElementRef<HTMLElement>, left: string): void;
    styleTop(event: CalendarEventFull, _element: ElementRef<HTMLElement>, top: string): void;
    styleWidth(event: CalendarEventFull, _element: ElementRef<HTMLElement>, width: number): void;
    styleHeight(event: CalendarEventFull, _element: ElementRef<HTMLElement>, height: string): void;
    styleBackground(event: CalendarEventFull, _element: ElementRef<HTMLElement>): void;
    calculateEventStartOffset(event: CalendarEventFull): string;
    calculateEventHeight(event: CalendarEventFull): string;
    eventsubtitle(event: CalendarEventFull): string;
    createCalendarEventFull(final: CalendarEventInput, top: number, left: number): CalendarEventFull;
    calculateEventHeightFraction(e: CalendarEventInput): number;
    filterEventsBySameLeft(events: CalendarEventInput[]): Map<number, CalendarEventFull[]>;
    filteredConflictedEvents(events: CalendarEventFull[], days: number): CalendarEventFull[];
    isAllDayEvent(event: CalendarEventFull): CalendarEventFull;
    allDayEventWidth(event: CalendarEventFull): CalendarEventFull;
    eventFullTime(event: CalendarEventFull): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarEventService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CalendarEventService>;
}
