import { CalendarDate } from '../calendar-modal/calendar-date/calendar-date';
import { CalendarEventFull } from '../calendar-modal/calendar-event/calendar-event-full';
import { CalendarEventInput } from '../calendar-modal/calendar-event/calendar-event-input';
import { CalendarHours } from '../calendar-modal/calendar-hours/calendar-hours';
import { CalendarEventService } from './calendar-event.service';
import { DateService } from './date.service';
import * as i0 from "@angular/core";
export declare function bifilter<C>(f: (c: C) => boolean, xs: any): [C[], C[]];
/**
 * @author vaibhav
 * used by day/week view to create grid data.
 */
export declare class CalendarHoursService {
    private _dateService;
    private _calendarEventService;
    constructor(_dateService: DateService, _calendarEventService: CalendarEventService);
    getCalendarHours(): CalendarHours[];
    getCalendarWeekRange(date: CalendarDate): CalendarHours[];
    getCalndarWeekHoursGridData(date: CalendarDate): CalendarHours[][];
    getCalndarDayHoursGridData(date: CalendarDate): CalendarHours[][];
    pushFirstRowForGrid(dates: CalendarDate[]): CalendarHours[];
    createFirstRowDate(date: CalendarDate): CalendarHours;
    createCalendarHours(h: CalendarHours, c: CalendarHours): CalendarHours;
    filterEventsByDateAndStartTime(events: CalendarEventInput[], calendarHours: CalendarHours[][]): CalendarEventFull[];
    filterMultipleDayEvents(events: CalendarEventFull[]): [
        CalendarEventFull[],
        CalendarEventFull[]
    ];
    findLeftForMultiDaysEventWeek(events: CalendarEventFull[], calendarDate: CalendarDate): CalendarEventFull[];
    findLeftForMultiDaysEventDay(events: CalendarEventFull[], calendarDate: CalendarDate): CalendarEventFull[];
    addAllDayEventRow(): {
        hours: string;
        isHourNow: boolean;
        date: number;
        day: string;
        isAllDay: boolean;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarHoursService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CalendarHoursService>;
}
